package main

import (
	"flag"
	"fmt"
)

import (
	"github.com/streadway/amqp"
)

var (
	connUri = flag.String("connuri", "amqp://guest:guest@localhost:5672",
		"Connection URI for AMQP thingy")
)

func main() {
	flag.Parse()

	conn, err := amqp.Dial(*connUri)
	fmt.Println("conn=%+v", conn)
	fmt.Println("err=%+v", err)
}
